<?php

// Disallow direct access to this file for security reasons
if(!defined("IN_MYBB"))
{
    die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

$plugins->add_hook("pre_output_page", "index_welcome");

function index_info()
{

    return array(
        "name"            => "Welcome On Index",
        "description"    => "A plugin that gives a welcome message on the forum index.",
        "website"        => "http://zingor.net/mybbprofessor",
        "author"        => "Steven Kippax(StevenF50)",
        "authorsite"    => "http://zingor.net/mybbprofessor",
        "version"        => "0.5",
        "guid"             => "709c331c9a3828d7c30e6ef1a33b5b10",
        "compatibility" => "16*"
    );
}

/**
* ADDITIONAL PLUGIN INSTALL/UNINSTALL ROUTINES
*
* _install():
*   Called whenever a plugin is installed by clicking the "Install" button in the plugin manager.
*   If no install routine exists, the install button is not shown and it assumed any work will be
*   performed in the _activate() routine.
*
* function index_install()
* {
* }
*
* _is_installed():
*   Called on the plugin management page to establish if a plugin is already installed or not.
*   This should return TRUE if the plugin is installed (by checking tables, fields etc) or FALSE
*   if the plugin is not installed.
*
* function index_is_installed()
* {
*        global $db;
*        if($db->table_exists("index_welcome"))
*      {
*          return true;
*        }
*        return false;
* }
*
* _uninstall():
*    Called whenever a plugin is to be uninstalled. This should remove ALL traces of the plugin
*    from the installation (tables etc). If it does not exist, uninstall button is not shown.
*
* function index_uninstall()
* {
* }
*
* _activate():
*    Called whenever a plugin is activated via the Admin CP. This should essentially make a plugin
*    "visible" by adding templates/template changes, language changes etc.
*
* function index_activate()
* {
* }
*
* _deactivate():
*    Called whenever a plugin is deactivated. This should essentially "hide" the plugin from view
*    by removing templates/template changes etc. It should not, however, remove any information
*    such as tables, fields etc - that should be handled by an _uninstall routine. When a plugin is
*    uninstalled, this routine will also be called before _uninstall() if the plugin is active.
*
* function index_deactivate()
* {
* }
*/



function index_welcome($page)
{
if(THIS_SCRIPT == "index.php")
{
  global $mybb;

  $date = my_date($mybb->settings['regdateformat'], $post['regdate']);

  $page = str_replace("<div id=\"content\">", "<center><div id=\"content\"><p>Your username is {$mybb->user['username']} and you registered in {$date}. Enjoy your visit!</p></center>", $page);
  
  return $page;
}
} 


?>